%define upstream_name    Dist-Zilla-Plugins-CJM
%define upstream_version 3.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Allow a dist to have a custom Build.PL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Converter) >= 2.101.550
BuildRequires: perl(Dist::Zilla) >= 3.0.0
BuildRequires: perl(Dist::Zilla::Tester) >= 4.101.800
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir) >= 0.810.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
Plugins implementing ModuleInfo may call their own 'get_module_info' method
to construct a the Module::Build::ModuleInfo manpage object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 26 2011 jquelin <jquelin> 3.40.0-1.mga1
+ Revision: 60615
- update to 3.04

* Wed Jan 26 2011 jquelin <jquelin> 3.10.0-1.mga1
+ Revision: 40643
- mageia rebuild
- imported package perl-Dist-Zilla-Plugins-CJM

